import React from 'react';
import { ContextProvider, UseStateStore } from './createContext';
import { UseSelector } from '../core/useSelector';
export declare type UseStateContextSource = {
    [displayName: string]: any;
};
/**
 * *useState* to create multiple contexts.
 * The created contexts are split into a state and a dispatch,
 * respectively, to prevent unnecessary rendering.
 */
export declare const createUseStateContext: <T extends UseStateContextSource>(contextSource: T) => [UseSelector<UseStateStore<T>>, React.FC<ContextProvider<T>>];
